Summary:        Python DB API 2.0 Module for ODBC
Name:           pyodbc
Version:        4.0.39
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/mkleehammer/pyodbc
Source0:        %{url}/archive/%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  unixODBC-devel python3-devel python3-setuptools
Recommends:     (postgresql-odbc if postgresql-server)
Recommends:     (mariadb-connector-odbc if mariadb-server)

%description 
This package provides a Python DB API 2 and 3 module for ODBC. This project provides an 
up-to-date, convenient interface to ODBC using native data types like datetime and decimal.

%package -n python3-%{name}
Summary:        Python DB API 2.0 Module for ODBC
Recommends: (mariadb-connector-odbc if mariadb-server)
Recommends: (postgresql-odbc if postgresql-server)
Provides:       python3-%{name} = %{version}-%{release}

%description -n python3-%{name}
This package provides a Python DB API 2 and 3 module for ODBC. This project provides an 
up-to-date, convenient interface to ODBC using native data types like datetime and decimal.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{name}
%license LICENSE.txt
%doc README.md notes.txt
%{python3_sitearch}/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.39-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.39-2
- Rebuilt for loongarch release

* Sat Oct 07 2023 cunshunxia <cunshunxia@tencent.com> - 4.0.39-1
- Upgrade to version 4.0.39

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.30-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.30-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.30-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Wang Guodong <gordonwwang@tencent.com> - 4.0.30-1
- package init.
